  <div class="row">
    <div class="col-md-12">
      <nb-card class="inline-form-card">
        <nb-card-body>
          <div>
            <google-map  height="500px" width="100%" (mapClick)="addMarker($event)">  
                <map-marker #marker 
                  *ngFor="let marker_position of marker_positions"
                  [position]="marker_position" 
                  [options]="marker_options" 
                  (mapClick)="openInfoWindow(marker)"
                  (mapRightclick)="removeLastMarker()">
                </map-marker>
                <map-polyline #poly
                  [path]="paths" 
                  [options]="poly">
                </map-polyline>
            </google-map>
          </div>
        </nb-card-body>
      </nb-card>
    </div>
  </div>